FreeBSD Administration - Support #293

Upgrading FreeNAS
01/06/2014 12:59 PM - Daniel Curtis

Status: Closed Start date: 01/06/2014
Priority: Urgent Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Network Attached Storage Estimated time: 0.50 hour
Target version: FreeNAS 9.x Spent time: 0.50 hour
Description

With the new version of FreeNAS coming out recently, | decided to upgrade to the newest version of FreeNAS. To begin | backed up
the configuration of the existing FreeNAS server by logging into the FreeNAS panel and going Settings and selecting Save config.

From there | downloaded the newest FreeNAS version for flash and burned it onto new USB drive:
xzcat FreeNAS-9.2.0-RELEASE-x64.img.xz | pv | dd bs=1M of=/dev/sdb
sync

Note: Make sure to flash to the correct device through fdisk -I.

| then replaced the original USB drive with the old version of FreeNAS with the newer USB drive and booted it up. After identifying
the IP address, | opened a web browser and pointed it at the IP address of the FreeNAS box. | was immediately prompted to change
the admin password, after doing so | went to the Settings of the new FreeNAS install and selected Upload Config and uploaded the
configuration from the previous FreeNAS installation. | was again prompted to change the admin password, and again changed it.

The server upgrade finished with a few minor hiccups. One being the BIOS was not set to boot from the new USB drive, this was
fixed by rebooting the machine and pressing [F2] at boot time and going to the Boot section and change the priority of the boot order.

History

#1 - 01/10/2014 08:42 AM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/15/2015 09:19 PM - Daniel Curtis
- Project changed from 38 to FreeBSD Administration
- Category set to Network Attached Storage

- Target version set to FreeNAS 9.x
